mlmmj-unsub(1)

NAME
mlmmj-unsub - unsubscribe address from a mailinglist run by mlmmj

SYNOPSIS
mlmmj-unsub -L /path/to/list -a john@doe.org [-cCdnNhqrRsUV]

DESCRIPTION

-a email
    Email address to unsubscribe

-c  Send goodbye mail

-C  Request mail confirmation

-d  Unsubscribe from the digest version of the list

-h  Print help

-L path
    Full path to list directory

-n  Unsubscribe from the nomail version of the list

-N  Unsubscribe from the normal version of the list

-q  Be quiet (don't notify owner about the unsubscribe)

-r  Behave as if request arrived via email (internal use)

-R  Behave as if confirmation arrived via email (internal use)

-s  Don't send a mail to the address if not subscribed

-U  Don't switch to the user id of the listdir owner

-V  Print version

This utility is used to unsubscribe people from the specified mailinglist. It will remove the specified email address from every file in the <listdir>/subscribers.d/, <listdir>/digesters.d/ and <listdir>/nomailsubs.d/ directories ( or if the -d, -n or -N switch is given, only the one relevant directory).

Unless the -U switch is used it will switch its user id to the user id owning the list directory. This is done to make sure that new files created are having correct permissions.

Normally a mail is sent to the person being unsubscribed if the address is not subscribed to the list. If the -s switch is used such a mail will not be sent.

When neither -c nor -C is specified, unsubscription happens silently from the point of view of the subscriber. When -q is specified, unsubscription happens silently from the point of view of the list owner. Use of -s is recommended to ensure you don't spam unsubscribed addresses by accident.

SEE ALSO
mlmmj-sub(1)

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>